[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

xserver-xorg-core Broken - need quick help - cows are hungry

I broke my Etch-i386-Installation yesterday (on an Acer-Aspire-1700 Laptop):

After an normal aptitude-update (updating of xorg components and some other stuff), X refuses to work. The problem is that I used VMware with WindowsXP and a cow-management software for my farm. So I can not use this essential software anymore. Quick help is needed!

I localized the problem:

dpkg is not able to install the new version of the xserver-xorg-core package (1.0.2-9 to 1.1.1-10), because of problems with the directory and file structure and the file libglx.so. The error looks like this:

(Reading database ... 184077 files and directories currently installed.)
Unpacking xserver-xorg-core (from .../xserver-xorg-core_2%3a1.1.1-10_i386.deb) ...
dpkg: error processing /xserver-xorg-core_2%3a1.1.1-10_i386.deb (--install):
unable to create `./usr/lib/xorg/modules/extensions/libglx.so': No such file or directory
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:

Because aptitude installed already other updated xorg components the  X-installation broke.

I tried to delete the X-installation completely. This worked. But the new installation of xorg with xserver-xorg-core gave the same error

dpkg tries to install xserver-xorg-core but does not finish because of libglx.so.

So I can not even install any xorg-component neither use it.

At the beginning of the problem I had the nvidia-binary-drivers installed. So I thought they messed up the libglx.so, but after I removed them nothing changed.

Thank you for reading this, I hope we find a solution to this!

Der GMX SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen! 
Ideal für Modem und ISDN: http://www.gmx.net/de/go/smartsurfer

Reply to: